#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
# cptest.py

import os
import cherrypy
from Cheetah.Template import Template

APPDIR = os.path.dirname(os.path.abspath(__file__))
INI_FILENAME = os.path.join(APPDIR, "cptest.ini")


class Root(object):
    
    def index(self, vorname = ""):
        if vorname:
            template = Template("Dein Vorname ist $vorname.")
            template.vorname = vorname
            return str(template)
        else:
            return \
                """
                Es wurde kein Vorname bergeben.
                <form method="POST" action=".">
                  <input type="text" name="vorname" value="Thomas">
                  <input type="submit" value="Submit">
                </form>
                """
    index.exposed = True

def main():
    cherrypy.quickstart(Root(), config = INI_FILENAME)

if __name__ == "__main__":
    main()

